Subject: Re: (ngtrans) Review of draft-ietf-ngtrans-mtp-01.txt

From: Kazuaki Tsuchiya <[email-masked]>
Date: Fri, 10 May 2002 20:27:24 +0900

Dear Brian,

I have to apologize to you for long delay firstly.  m(_ _)m
(I had been on vacation for these two weeks. Lots of Japanese
  enjoy vacation for about ten days at this time. We call it
  "Golden Week.")

Anyway, I am going to check on your question and answer them
as soon as possible.

Thanks for your review.

-- Kazuaki Tsuchiya, Hitachi.

At 22:54 02/04/30 +0900, [email-masked] wrote:
>The following are comments on draft-ietf-ngtrans-mtp-01.txt.  I
>apologize for not getting them to the list sooner.
>
>      1. The discussion of MTP talks about header translation, but
>         does not discuss the use of ALGs to handle multicast apps
>         that include IP addresses in the application layer.  Those
>         addresses may be unicast or multicast.  How will MTP deal
>         with those?
>
>      2. Has anyone done an analysis on how the translations will
>         affect RTP/RTCP feedback?
>
>      3. This draft needs some more work on fragment handling.
>         Will an MTP node perform fragment re-assembly on the
>         packets before doing the translation?
>
>      4. Section 3.1 and 3.2 talk about an administrator doing
>         configuration prior to a multicast data flow.  How
>         will that work if the applications being used are
>         learning the multicast address from SDR? webpages?
>         DNS?
>
>      5. If the MTP node needs an administrator to do config before
>         it can translate, who will notify the receivers as to what
>         multicast address to join?
>
>      6. In section 4 there needs to be more concrete definitions.
>         How does the MTP node know if an address is "well-known"?
>         Does it keep a static list so it knows how to set 'x'?
>
>Regards,
>Brian